## mingw-w64-frei0r-plugins-2.5.0-1.src.tar.zst

=== src/mixer2/CMakeLists.txt ===
if (${Cairo_FOUND})
add_subdirectory (cairoaffineblend)
add_subdirectory (cairoblend)
endif (${Cairo_FOUND})

add_subdirectory (addition)
add_subdirectory (addition_alpha)
add_subdirectory (alphaatop)
add_subdirectory (alphain)
add_subdirectory (alphainjection)
add_subdirectory (alphaout)
add_subdirectory (alphaover)
add_subdirectory (alphaxor)
add_subdirectory (blend)
add_subdirectory (burn)
add_subdirectory (color_only)
add_subdirectory (composition)
add_subdirectory (darken)
add_subdirectory (difference)
add_subdirectory (divide)
add_subdirectory (dodge)
add_subdirectory (euclid_eraser)
add_subdirectory (grain_extract)
add_subdirectory (grain_merge)
add_subdirectory (hardlight)
add_subdirectory (hue)
add_subdirectory (lighten)
add_subdirectory (multiply)
add_subdirectory (overlay)
add_subdirectory (saturation)
add_subdirectory (screen)
add_subdirectory (softlight)
add_subdirectory (subtract)
add_subdirectory (uvmap)
add_subdirectory (value)
add_subdirectory (xfade0r)
add_subdirectory (sleid0r)

=== src/mixer3/CMakeLists.txt ===
add_subdirectory (RGB)

=== src/filter/elastic_scale/CMakeLists.txt ===
set (SOURCES elastic_scale.cpp)
set (TARGET elastic_scale)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})

set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/glitch0r/CMakeLists.txt ===
set (SOURCES glitch0r.c)
set (TARGET glitch0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/generator/nois0r/CMakeLists.txt ===
set (SOURCES nois0r.cpp)
set (TARGET nois0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/mixer2/uvmap/CMakeLists.txt ===
set (SOURCES uvmap.c)
set (TARGET uvmap)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_1_1_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/mixer2/value/CMakeLists.txt ===
set (SOURCES value.cpp)
set (TARGET value)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_1_1_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== PKGBUILD ===
# Maintainer: Ray Donnelly <mingwandroid@gmail.com>
# Upstream Maintainer: Balló György <ballogyor+arch at gmail dot com>
# Upstream Contributor: Sergej Pupykin <pupykin.s+arch@gmail.com>

_realname=frei0r-plugins
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=2.5.0
pkgrel=1
pkgdesc='Minimalistic plugin API for video effects (mingw-w64)'
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://frei0r.dyne.org/"
msys2_repository_url="https://github.com/dyne/frei0r"
license=('spdx:GPL-2.0-or-later')
depends=("${MINGW_PACKAGE_PREFIX}-cc-libs")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-doxygen"
             "${MINGW_PACKAGE_PREFIX}-cairo"
             $([[ ${CARCH} == i686 ]] || echo \
               "${MINGW_PACKAGE_PREFIX}-gavl" \
               "${MINGW_PACKAGE_PREFIX}-opencv"))
optdepends=("${MINGW_PACKAGE_PREFIX}-cairo: cairoaffineblend, cairoblend, cairogradient and cairoimagegrid plugins")
if [[ ${CARCH} != i686 ]]; then
  optdepends+=("${MINGW_PACKAGE_PREFIX}-gavl: rgbparade, scale0tilt and vectorscope plugins"
               "${MINGW_PACKAGE_PREFIX}-opencv: facebl0r and facedetect plugins")
fi
source=("https://github.com/dyne/frei0r/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('c511aeb51faeb0de2afe47327c30026d5b76ccc910a0b93d286029f07d29c656')
validpgpkeys=('6113D89CA825C5CEDD02C87273B35DA54ACB7D10') # Denis Roio (Jaromil)

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  local -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  if [[ ${CARCH} == i686 ]]; then
    _extra_config+=("-DWITHOUT_OPENCV=ON" "-DWITHOUT_GAVL=ON")
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  cmake -Wno-dev \
    -G"Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    "${_extra_config[@]}" \
    ../frei0r-${pkgver}

  cmake --build .
}

check() {
  cd "build-${MSYSTEM}"
  # make check
}

package() {
  cd "build-${MSYSTEM}"
  DESTDIR="${pkgdir}" cmake --install .
}
